using MesETL.App;

namespace Mesdb.DataGenerator;

public class MockInputOptions
{
    public IReadOnlyDictionary<string, TableMockOptions> Rules { get; set; } =
        new Dictionary<string, TableMockOptions>();
}

public class TableMockOptions
{
    public long Amount { get; set; }
    public Func<TableMockContext, DataRecord> Generate  { get; set; }

    public TableMockOptions(long amount, Func<TableMockContext, DataRecord> generate)
    {
        Amount = amount;
        Generate = generate;
    }
}

public struct TableMockContext
{
    public long Index { get; set; }
}